### Function

# Dex socket_client_connect

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_socket_client_connect (
      GSocketClient* socket_client,
      GSocketConnectable* socket_connectable
    )

#### Description

No description available.

Available since: 1

#### Parameters

`socket_client`

  Type: `GSocketClient`

  No description available.

  The data is owned by the caller of the function.

`socket_connectable`

  Type: `GSocketConnectable`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.